Bug 138676 - Tests ported from W3C canvas tests suites need to be revised so they can be automatically verified
Summary: Tests ported from W3C canvas tests suites need to be revised so they can be a...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on: 138324
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-12 15:32 PST by Said Abou-Hallawa
Modified: 2020-06-29 16:55 PDT (History)
7 users (show)

See Also:


Attachments
Update TestExpectations (1.56 KB, patch)
2020-06-26 15:09 PDT, Karl Rackler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2014-11-12 15:32:39 PST
Trying to fix https://bugs.webkit.org/show_bug.cgi?id=138324 to port the w3c canvas tests, these tests cannot be utomatically verified

imported/w3c/canvas/2d.text.draw.fontface.repeat.html
imported/w3c/canvas/2d.text.draw.fill.maxWidth.small.html
imported/w3c/canvas/2d.text.draw.fill.rtl.html
imported/w3c/canvas/2d.text.draw.stroke.basic.html
imported/w3c/canvas/2d.text.draw.align.end.rtl.html
imported/w3c/canvas/2d.pattern.animated.gif.html
imported/w3c/canvas/2d.text.draw.align.left.html
imported/w3c/canvas/2d.text.draw.align.right.html
imported/w3c/canvas/toDataURL.png.complexcolours.html
imported/w3c/canvas/2d.shadow.blur.high.html
imported/w3c/canvas/2d.text.draw.space.collapse.nonspace.html
imported/w3c/canvas/2d.text.draw.fontface.html
imported/w3c/canvas/2d.text.draw.space.basic.html
imported/w3c/canvas/2d.scaled.html
imported/w3c/canvas/2d.text.measure.width.basic.html
imported/w3c/canvas/2d.text.draw.fontface.notinpage.html
imported/w3c/canvas/2d.coordinatespace.html
imported/w3c/canvas/toDataURL.jpeg.primarycolours.html
imported/w3c/canvas/2d.text.draw.fill.maxWidth.fontface.html
imported/w3c/canvas/2d.text.draw.fill.maxWidth.zero.html
imported/w3c/canvas/security.dataURI.html
imported/w3c/canvas/2d.text.draw.fill.maxWidth.bound.html
imported/w3c/canvas/2d.drawImage.animated.gif.html
imported/w3c/canvas/2d.text.draw.align.center.html
imported/w3c/canvas/2d.text.draw.fill.basic.html
imported/w3c/canvas/2d.text.draw.baseline.alphabetic.html
imported/w3c/canvas/2d.text.draw.kern.consistent.html
imported/w3c/canvas/2d.text.draw.fill.maxWidth.large.html
imported/w3c/canvas/toDataURL.jpeg.alpha.html
imported/w3c/canvas/toDataURL.png.primarycolours.html
imported/w3c/canvas/2d.shadow.blur.low.html
imported/w3c/canvas/2d.text.draw.align.start.ltr.html
imported/w3c/canvas/2d.drawImage.animated.apng.html
imported/w3c/canvas/2d.text.draw.align.start.rtl.html
imported/w3c/canvas/2d.text.draw.align.end.ltr.html
imported/w3c/canvas/toDataURL.jpeg.quality.basic.html
imported/w3c/canvas/canvas_colorsandstyles_createlineargradient_001.htm
imported/w3c/canvas/canvas_compositing_globalcompositeoperation_001.htm
imported/w3c/canvas/canvas_complexshapes_beziercurveto_001.htm
imported/w3c/canvas/canvas_shadows_001.htm
imported/w3c/canvas/canvas_state_restore_001.htm
imported/w3c/canvas/canvas_text_font_001.htm
imported/w3c/canvas/canvas_complexshapes_arcto_001.htm
imported/w3c/canvas/canvas_linestyles_linecap_001.htm
imported/w3c/canvas/canvas_transformations_scale_001.htm
Comment 1 Charlie Turner 2017-09-05 03:25:28 PDT
What does automatically verified mean? I found 

imported/w3c/canvas/2d.line.cap.round.html

Passes on WPE port, but I'm not sure what this ticket means to triage the unexpected pass. Any context appreciated :)
Comment 2 Ms2ger (he/him; ⌚ UTC+1/+2) 2017-09-05 06:10:53 PDT
(In reply to Charlie Turner from comment #1)
> What does automatically verified mean? I found 
> 
> imported/w3c/canvas/2d.line.cap.round.html
> 
> Passes on WPE port, but I'm not sure what this ticket means to triage the
> unexpected pass. Any context appreciated :)

Since it's passing on gtk too, I'd just mark it. Would be interesting to see what makes it fail on mac.
Comment 3 Charlie Turner 2017-09-05 06:47:41 PDT
Thanks, I'll mark is Pass in my next gardening commit.
Comment 4 youenn fablet 2017-09-05 08:28:18 PDT
We should probably delete all LayoutTests/imported/w3c/canvas tests.
They are probably redundant and obsoleted by tests in LayoutTests/imported/w3c/web-platform-tests folders like LayoutTests/imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element or LayoutTests/imported/w3c/web-platform-tests/2dcontext
Comment 5 Karl Rackler 2020-06-26 15:05:02 PDT
imported/w3c/canvas/2d.line.cap.round.html is no longer failing - remove expectations

Current history is green: https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fcanvas%2F2d.line.cap.round.html
Comment 6 Karl Rackler 2020-06-26 15:09:30 PDT
Created attachment 402910 [details]
Update TestExpectations
Comment 7 EWS 2020-06-26 15:34:01 PDT
Committed r263594: <https://trac.webkit.org/changeset/263594>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 402910 [details].
Comment 8 Radar WebKit Bug Importer 2020-06-26 15:35:17 PDT
<rdar://problem/64825187>
Comment 9 Radar WebKit Bug Importer 2020-06-26 15:35:18 PDT
<rdar://problem/64825189>
Comment 10 Ryan Haddad 2020-06-29 16:55:13 PDT
Reopening since there are still other tests failing.